Order

Fetching list of order.

LIST

Return a collection of order.

Filtering

You can filter your results as follows:

List of orders for specific id(s)
  • /orders?filter[id]=1
  • /orders?filter[id]=1,2,3
List of orders for specific external identifier(s)
  • /orders?filter[external_identifier]=12345
  • /orders?filter[external_identifier]=12345,67890
List of orders for specific external reference(s)
  • /orders?filter[external_reference]=12345
  • /orders?filter[external_reference]=12345,67890
List of orders for specific state(s)
  • /orders?filter[state]=cancelled
  • /orders?filter[state]=cancelled,delivered
List of orders for specific merchant(s)
  • /orders?filter[merchant]=1
  • /orders?filter[merchant]=1,4
List of orders for specific payment payment method handle(s)
  • /orders?filter[payment.payment_method.handle]=paypal
  • /orders?filter[payment.payment_method.handle]=paypal,ideal
List of orders for specific payment transaction reference(s)
  • /orders?filter[payment.transaction_reference]=1258746321458
  • /orders?filter[payment.transaction_reference]=1258746321458,9457785213654
List of orders for specific created at min
  • /orders?filter[created_at_min]=2026-01-16
List of orders for specific created at max
  • /orders?filter[created_at_max]=2026-01-16
List of orders for specific created at equals
  • /orders?filter[created_at_equals]=2026-01-16
List of orders for specific updated at min
  • /orders?filter[updated_at_min]=2026-01-16
List of orders for specific updated at max
  • /orders?filter[updated_at_max]=2026-01-16
List of orders for specific updated at equals
  • /orders?filter[updated_at_equals]=2026-01-16

See: Pagination, Filtering

Expanding relationships

You can expand some resources to show more details.

See: Expanding Objects

Example of fetching order list

Request

GET /orders HTTP/1.1

Response

{
	"data": [
		{
			"id": 60,
			"order_type": 1,
			"external_identifier": null,
			"external_reference": null,
			"cost_centre": null,
			"state": "checking",
			"failure_message": null,
			"customer_locale": "de",
			"currency": "EUR",
			"total": 535.68,
			"subtotal": 477.70462881489,
			"total_tax": 57.97477318511,
			"total_items_price": 495.72,
			"shipping_total": 39.96,
			"discount_total": 0,
            "promotion_codes": [
                173,
                174,
            ],
			"items": [
				{
					"id": 118,
					"quantity": 1,
					"total": 206.37,
					"price": 173.42016806723,
					"total_tax": 32.949831932774,
					"tax_rate": 19,
					"id_tags": [
						118
					],
					"cancelled_at": null,
					"created_at": "2023-01-10T10:11:41+00:00",
					"updated_at": "2023-01-10T10:11:41+00:00"
				},
				{
					"id": 119,
					"quantity": 1,
					"total": 176.56,
					"price": 165.00934579439,
					"total_tax": 11.550654205607,
					"tax_rate": 7,
					"id_tags": [
						119
					],
					"cancelled_at": null,
					"created_at": "2023-01-10T10:11:41+00:00",
					"updated_at": "2023-01-10T10:11:41+00:00"
				},
				{
					"id": 120,
					"quantity": 1,
					"total": 112.79,
					"price": 105.41121495327,
					"total_tax": 7.3787850467289,
					"tax_rate": 7,
					"id_tags": [
						120
					],
					"cancelled_at": null,
					"created_at": "2023-01-10T10:11:41+00:00",
					"updated_at": "2023-01-10T10:11:41+00:00"
				}
			],
			"disposition_order": null,
			"customer": 64,
			"shipping_address": 122,
			"billing_address": 121,
			"whitelabel_address": null,
			"payment": null,
			"shipments": [
				60
			],
			"created_at": "2023-01-10T10:11:41+00:00",
			"updated_at": "2023-01-10T10:11:41+00:00",
			"cancelled_at": null,
			"ordered_at": "2023-01-10T10:11:41+00:00"
		},
		{
			"id": 59,
			"order_type": 1,
			"external_identifier": null,
			"external_reference": null,
			"cost_centre": null,
			"state": "checking",
			"failure_message": null,
			"customer_locale": "de",
			"currency": "EUR",
			"total": 285.28,
			"subtotal": 257.14386594715,
			"total_tax": 28.139205502855,
			"total_items_price": 290.16,
			"shipping_total": -4.88,
			"discount_total": 0,
			"items": [
				{
					"id": 115,
					"quantity": 1,
					"total": 37.67,
					"price": 35.205607476636,
					"total_tax": 2.4643925233645,
					"tax_rate": 7,
					"id_tags": [
						115
					],
					"cancelled_at": null,
					"created_at": "2023-01-10T10:11:40+00:00",
					"updated_at": "2023-01-10T10:11:40+00:00"
				},
				{
					"id": 116,
					"quantity": 1,
					"total": 147.81,
					"price": 138.14018691589,
					"total_tax": 9.6698130841123,
					"tax_rate": 7,
					"id_tags": [
						116
					],
					"cancelled_at": null,
					"created_at": "2023-01-10T10:11:40+00:00",
					"updated_at": "2023-01-10T10:11:40+00:00"
				},
				{
					"id": 117,
					"quantity": 1,
					"total": 104.68,
					"price": 87.966386554622,
					"total_tax": 16.713613445378,
					"tax_rate": 19,
					"id_tags": [
						117
					],
					"cancelled_at": null,
					"created_at": "2023-01-10T10:11:40+00:00",
					"updated_at": "2023-01-10T10:11:40+00:00"
				}
			],
            "disposition_order": 93,
			"customer": 63,
			"shipping_address": 120,
			"billing_address": 119,
			"whitelabel_address": null,
			"payment": null,
			"shipments": [
				59
			],
			"created_at": "2023-01-10T10:11:40+00:00",
			"updated_at": "2023-01-10T10:11:40+00:00",
			"cancelled_at": null,
			"ordered_at": "2023-01-10T10:11:40+00:00"
		},
		{
			"id": 58,
			"order_type": 1,
			"external_identifier": null,
			"external_reference": null,
			"cost_centre": null,
			"state": "delivered",
			"failure_message": null,
			"customer_locale": "de",
			"currency": "EUR",
			"total": 285.28,
			"subtotal": 257.14386594715,
			"total_tax": 28.139205502855,
			"total_items_price": 290.16,
			"shipping_total": -4.88,
			"discount_total": 0,
			"items": [
				{
					"id": 115,
					"quantity": 1,
					"total": 37.67,
					"price": 35.205607476636,
					"total_tax": 2.4643925233645,
					"tax_rate": 7,
					"id_tags": [
						115
					],
					"cancelled_at": null,
					"created_at": "2023-01-10T10:11:40+00:00",
					"updated_at": "2023-01-10T10:11:40+00:00"
				},
				{
					"id": 116,
					"quantity": 1,
					"total": 147.81,
					"price": 138.14018691589,
					"total_tax": 9.6698130841123,
					"tax_rate": 7,
					"id_tags": [
						116
					],
					"cancelled_at": null,
					"created_at": "2023-01-10T10:11:40+00:00",
					"updated_at": "2023-01-10T10:11:40+00:00"
				},
				{
					"id": 117,
					"quantity": 1,
					"total": 104.68,
					"price": 87.966386554622,
					"total_tax": 16.713613445378,
					"tax_rate": 19,
					"id_tags": [
						117
					],
					"cancelled_at": null,
					"created_at": "2023-01-10T10:11:40+00:00",
					"updated_at": "2023-01-10T10:11:40+00:00"
				}
			],
            "disposition_order": {
                "id": 93,
                "state": "completed",
                "production_orders": [
                    {
                        "id": 1,
                        "state": "completed",
                        "production" : {
                            "id": 1,
                            "name": "Production 1",
                            "handle": "production-1",
                            "timezone": "Europe/Berlin",
                            "is_active": true,
                        },
                        "created_at": null,
                        "created_at": "2023-01-10T10:11:40+00:00",
                        "updated_at": "2023-01-10T10:11:40+00:00"
                    },
                    ...
                ],
                "created_at": null,
                "created_at": "2023-01-10T10:11:40+00:00",
                "updated_at": "2023-01-10T10:11:40+00:00"
            },
			"customer": 63,
			"shipping_address": 120,
			"billing_address": 119,
			"whitelabel_address": null,
			"payment": null,
			"shipments": [
				59
			],
			"created_at": "2023-01-10T10:11:40+00:00",
			"updated_at": "2023-01-10T10:11:40+00:00",
			"cancelled_at": null,
			"ordered_at": "2023-01-10T10:11:40+00:00"
		},
        .......
	],
	"links": {
		"first": null,
		"last": null,
		"prev": null,
		"next": "https://api.smake.io/master-administration/orders?cursor=eyJvcmRlcnMuaWQiOjQ2LCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9"
	},
	"meta": {
		"path": "https://api.smake.io/master-administration/orders",
		"per_page": 15,
		"next_cursor": "eyJvcmRlcnMuaWQiOjQ2LCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9",
		"prev_cursor": null
	}
}

Example of fetching order list with expand

Request

GET /orders?expand=promotion_codes HTTP/1.1

Response

{
	"data": [
		{
			"id": 60,
			"order_type": 1,
			"external_identifier": null,
			"external_reference": null,
			"cost_centre": null,
			"state": "checking",
			"failure_message": null,
			"customer_locale": "de",
			"currency": "EUR",
			"total": 535.68,
			"subtotal": 477.70462881489,
			"total_tax": 57.97477318511,
			"total_items_price": 495.72,
			"shipping_total": 39.96,
			"discount_total": 0,
            "promotion_codes": [
                {
                    "id": 173,
                    "code": "Bestellung50Prozent",
                    "amount": -69.21
                },
                {
                    "id": 174,
                    "code": "Bestellung20Prozent",
                    "amount": -27.68
                }
            ],
            .........
        }
        .......
	],
	"links": {
		"first": null,
		"last": null,
		"prev": null,
		"next": "https://api.smake.io/master-administration/orders?cursor=eyJvcmRlcnMuaWQiOjQ2LCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9"
	},
	"meta": {
		"path": "https://api.smake.io/master-administration/orders",
		"per_page": 15,
		"next_cursor": "eyJvcmRlcnMuaWQiOjQ2LCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9",
		"prev_cursor": null
	}
}

Available expandable attributes:

  • order_type
  • items
  • items.id_tags
  • items.merchant_variant
  • items.units
  • disposition_order
  • disposition_order.production_orders
  • disposition_order.production_orders.production
  • customer
  • shipping_address
  • billing_address
  • whitelabel_address
  • payment
  • payment.payment_method
  • shipments
  • promotion_codes
  • merchant

GET

Return a order of given id = x. Expand can be used here as mentioned before.

Example of fetching specified order information

Request

GET /orders/65 HTTP/1.1

Response

{
	"id": 65,
	"order_type": 1,
	"external_identifier": null,
	"external_reference": null,
	"cost_centre": null,
	"state": "draft",
	"failure_message": null,
	"customer_locale": "de",
	"currency": "EUR",
	"total": 110.52,
	"subtotal": 103.28971962617,
	"total_tax": 7.2302803738319,
	"total_items_price": 110.52,
	"shipping_total": 0,
	"discount_total": 0,
    "promotion_codes": [
        173,
        174
    ],
	"items": [
		{
			"id": 125,
			"quantity": 1,
			"total": 110.52,
			"price": 103.28971962617,
			"total_tax": 7.2302803738319,
			"tax_rate": 7,
			"id_tags": [],
			"cancelled_at": null,
			"created_at": "2023-01-10T10:11:41+00:00",
			"updated_at": "2023-01-10T10:11:41+00:00"
		}
	],
    "disposition_order": null,
	"customer": null,
	"shipping_address": null,
	"billing_address": null,
	"whitelabel_address": null,
	"payment": null,
	"shipments": [
		65
	],
	"created_at": "2023-01-10T10:11:41+00:00",
	"updated_at": "2023-01-10T10:11:41+00:00",
	"cancelled_at": null,
	"ordered_at": null
}

Example of fetching specified order information

Request

GET /orders?expand=promotion_codes HTTP/1.1

Response

{
	"data": [
		{
			"id": 60,
			"order_type": 1,
			"external_identifier": null,
			"external_reference": null,
			"cost_centre": null,
			"state": "checking",
			"failure_message": null,
			"customer_locale": "de",
			"currency": "EUR",
			"total": 535.68,
			"subtotal": 477.70462881489,
			"total_tax": 57.97477318511,
			"total_items_price": 495.72,
			"shipping_total": 39.96,
			"discount_total": 0,
            "promotion_codes": [
                {
                    "id": 173,
                    "code": "Bestellung50Prozent",
                    "amount": -69.21
                },
                {
                    "id": 174,
                    "code": "Bestellung20Prozent",
                    "amount": -27.68
                }
            ],
            .........
        }
        .......
	],
	"links": {
		"first": null,
		"last": null,
		"prev": null,
		"next": "https://api.smake.io/master-administration/orders?cursor=eyJvcmRlcnMuaWQiOjQ2LCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9"
	},
	"meta": {
		"path": "https://api.smake.io/master-administration/orders",
		"per_page": 15,
		"next_cursor": "eyJvcmRlcnMuaWQiOjQ2LCJfcG9pbnRzVG9OZXh0SXRlbXMiOnRydWV9",
		"prev_cursor": null
	}
}

Available expandable attributes:

  • order_type
  • items
  • items.id_tags
  • items.merchant_variant
  • items.units
  • disposition_order
  • disposition_order.production_orders
  • disposition_order.production_orders.production
  • customer
  • shipping_address
  • billing_address
  • whitelabel_address
  • payment
  • payment.payment_method
  • shipments
  • promotion_codes
  • merchant

List Available Productions

Fetching list of available productions for this order.

Example of fetching available productions

Request

GET /orders/1/available-productions HTTP/1.1

Response

{
  "productions": [
    {
      "id": 1,
      "handle": "production-1"
    },
    {
      "id": 2,
      "handle": "production-2"
    }
  ]
}

Cancel Order

Cancels a order of given id = x.

Example of cancel a order

Request

GET orders/1/cancel HTTP/1.1

Response

{
  "id": 1,
  "order_type": 1,
  "is_test": false,
  "external_identifier": null,
  "external_reference": null,
  "number": null,
  "cost_centre": null,
  "state": "cancelled",
  "failure_message": null,
  "customer_locale": "en",
  "currency": "EUR",
  "total": 130.9,
  "subtotal": 122.34,
  "total_tax": 8.56,
  "total_items_price": 130.9,
  "shipping_total": 0,
  "discount_total": 0,
  "created_at": "2026-02-23T11:51:37+00:00",
  "updated_at": "2026-02-25T13:44:40+00:00",
  "cancelled_at": "2026-02-25T13:44:40+00:00",
  "ordered_at": "2026-02-23T11:53:21+00:00",
  "items": [
    {
      "id": 2,
      "is_test": 0,
      "external_identifier": null,
      "quantity": 1,
      "total": 130.9,
      "price": 122.34,
      "total_tax": 8.56,
      "tax_rate": 7,
      "variant": 695586,
      "created_at": "2026-02-23T11:51:37+00:00",
      "updated_at": "2026-02-25T13:44:40+00:00",
      "cancelled_at": "2026-02-25T13:44:40+00:00",
      "id_tags": [],
      "units": []
    }
  ],
  ....
}

Validation Errors

422 Unprocessable Entity – Cancellation not allow

{
  "message": "The system settings do not allow the cancellation of an order."
}

Possible causes:

  • Allow the system the cancellation of an order.

422 Unprocessable Entity – Order is already cancelled

{
  "message": "The order can no longer be canceled because it is already cancelled."
}

422 Unprocessable Entity – Goods have already been ordered

{
  "message": "The order can no longer be canceled because goods have already been ordered."
}

Possible causes:

  • Allow the system the cancellation of an order even though the goods have already been ordered.

422 Unprocessable Entity – Goods have already arrived in production

{
  "message": "The order can no longer be canceled because the goods have already arrived in production."
}

Possible causes:

  • Allow the system the cancellation of an order even though the goods have already arrived in production.

422 Unprocessable Entity – Order is already in production

{
  "message": "The order can no longer be canceled because it is already in production."
}

Possible causes:

  • Allow the system the cancellation of an order even though the order is in production.

422 Unprocessable Entity – Goods are already ready for dispatch

{
  "message": "The order can no longer be canceled as the goods are already ready for dispatch."
}

Possible causes:

  • Allow the system the cancellation of an order even though the goods are already ready for dispatch.

422 Unprocessable Entity – goods have already been shipped

{
  "message": "The order can no longer be canceled because the goods have already been shipped."
}

Cancel Order Item Units

Cancels all order item units from order of given id = x.

Example of canceling order item units

Request

POST /orders/1/order-item-units/cancel HTTP/1.1

Response

{
  "canceled": [
    {
      "id": 1,
      "external_reference": null,
      "merchant": 1,
      "order": 42,
      "order_item": 122,
      "merchant_variant": 12345,
      "id_tag": 1,
      "state": "cancelled",
      "created_at": "2026-02-23T11:48:03+00:00",
      "updated_at": "2026-02-25T13:57:17+00:00"
    }
  ],
  "not_canceled": []
}

Validation Errors

404 Not Found – Order Not Found

{
  "message": "No results found for Order"
}

Possible causes:

  • The value in the URL ({orderId}) does not point to a valid Order or is invalid.

409 Conflict – Concurrent process disallowed

{
  "message": "Another process is already running. Please try again later."
}

Possible causes:

  • The server disallows two concurrent process from running and returns a 409.

500 Internal Server Error – Unexpected Error

{
  "message": "An unknown error occurred."
}

Possible causes:

  • Internal server error
  • Faulty system dependency
  • Database or service outage

Note: The error is automatically recorded and reported on the server side.


The Canceling settings find in your Master Backend - Settings - Order management